Skip to main content
GET
/
api
/
Campaign
/
{campaignId}
Get Campaign
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Campaign/{campaignId} \
  --header 'Authorization: Bearer <token>'
{
  "campaignId": "<integer>",
  "name": "<string>",
  "startDateTimeUtc": "<dateTime>",
  "endDateTimeUtc": "<dateTime>",
  "givingGoal": "<double>",
  "newGiverGoal": "<integer>",
  "totalGiftGoal": "<integer>",
  "isArchived": "<boolean>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

(Required) The campaign identifier.

Response

OK

campaignId
string
name
string
startDateTimeUtc
string
endDateTimeUtc
string
givingGoal
string
newGiverGoal
string
totalGiftGoal
string
isArchived
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
Last modified on June 5, 2026